org.apache.fop.render.bitmap

## Class BitmapRendererConfig.BitmapRendererConfigParser

- java.lang.Object
- - org.apache.fop.render.bitmap.BitmapRendererConfig.BitmapRendererConfigParser

All Implemented Interfaces:
  RendererConfig.RendererConfigParser

Direct Known Subclasses:
  TIFFRendererConfig.TIFFRendererConfigParser

Enclosing class:
  BitmapRendererConfig

    public static class BitmapRendererConfig.BitmapRendererConfigParser
    extends Object
    implements RendererConfig.RendererConfigParser

The parser for the Bitmap renderer configuration data.

### Constructor Summary

Constructors
Constructor and Description
`BitmapRendererConfigParser(String mimeType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BitmapRendererConfig` `build(FOUserAgent userAgent, Configuration cfg)` Builds the object that contains the renderer configuration data.
`String` `getMimeType()` The MIME type of the renderer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitmapRendererConfigParser

    public BitmapRendererConfigParser(String mimeType)

### Method Detail

#### build

    public BitmapRendererConfig build(FOUserAgent userAgent,
                                      Configuration cfg)
                               throws FOPException

Description copied from interface: `RendererConfig.RendererConfigParser`
Builds the object that contains the renderer configuration data.

Specified by:
  `build` in interface `RendererConfig.RendererConfigParser`
Parameters:
  `userAgent` - the user agent
  `cfg` - the Avalon config object for parsing the data
Returns:
  the configuration data object
Throws:
  `FOPException` - if an error occurs while parsing the fop conf

#### getMimeType

    public String getMimeType()

Description copied from interface: `RendererConfig.RendererConfigParser`
The MIME type of the renderer.

Specified by:
  `getMimeType` in interface `RendererConfig.RendererConfigParser`
Returns:
  the mime type